@import url("/assets/css/player.css");
:root {
  --bg-color: #1E193C;
  --primary-text: #EDE9F9;
  --secondary-text: #757575;
  --divider: #bdbdbd;
  --primary-color: #673ab7;
  --primary-dark: #512da8;
  --primary-light: #d1c4e9;
  --accent-color: #ff9800;
  --content-padding: 1.2rem;
}

@font-face {
  font-family: 'Pribambas Regular';
  font-display: swap;
  src: url(/assets/fonts/pribambas-regular.woff) format('woff');
  font-weight: 500;
  font-style: normal
}

body{
  height: 100%;
  line-height: 1;
  margin: 0;
  padding: 0;
  scroll-behavior: smooth;
  /*background-color: var(--bg-color);*/
  background: var(--bg-color) url(/assets/images/svg/star.svg);
  color: var(--primary-text);
  font-family: Roboto, -apple-system, BlinkMacSystemFont, Helvetica Neue, Arial, sans-serif;
  font-size: 16px;
  line-height: 1;
}

* {
  -webkit-tap-highlight-color: transparent;
}

body > web-wrapper {
  position: relative;
  min-height: 100%;
  overflow-x: hidden;
  overflow-y: clip;
 
  padding-bottom: calc(80px + env(safe-area-inset-bottom));
}

a {
  text-decoration: none;
  color: var(--primary-text);
}

img {
  vertical-align: middle;
  border-style: none;
}

body .svg-icon {
  fill: var(--primary-text);
  display: inline-flex;
  width: 24px;
  height: 24px;
  margin: 0;
  padding: 0;
}

.ml-10{
  margin-left: 10px;
}

.text-truncate {
  overflow: hidden;
  -o-text-overflow: ellipsis;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.section {
  margin-bottom: 1.5rem;
}

.section-search{
  margin-left: 1rem;
  margin-right: 1rem;
  font-size: 14px;
}


.section .heading {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-left: 1rem;
  margin-right: 0.5rem;
  margin-bottom: 0.5rem;
}

.section .heading h4{
  font-family: Ruslan Display, -apple-system, BlinkMacSystemFont, Helvetica Neue, Arial, sans-serif;
  font-size: 1rem;
  padding-top: 5px;
  margin: 0;
}

.section-music .heading h4{
  font-family: 'Pribambas Regular', serif;
  font-size: 1.1rem;
}

.section .heading a {
  display: flex;
  align-items: center;
  color: #726AA3;
  text-decoration: none;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.section .heading a > span {
  font-size: 13px;
}
.section .heading a > svg {
  fill: #726AA3;
  align-self: center;
  width: 16px;
  height: 16px;
  margin-left: 2px;
}

.search {
  position: relative;
  width: auto;
  height: 3rem;
  margin: 10px 10px 15px;
  border-radius: 0.5rem;
  background-color: #332e59;

padding: 0 1.25rem;

}

.btn-search {
  position: absolute;
  top: 50%;
  left: 0;
  padding: 0.625rem !important;
  -webkit-transform: translateY(-50%);
  transform: translateY(-50%);
  cursor: pointer;
}

.alert{
  margin: 1rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-top: 3.5rem;
}

.info-blok{
  margin: 10px;
  font-size: 14px;
  line-height: 18px;
  padding: 10px;
  border-radius: 0.5rem;
  background: #3D3764;
  display: none;
}
.info-blok p{
  margin-bottom: 0.5rem;
  margin-top: 0.5rem;
}

.info-blok-close{
  position: absolute; 
  right: 20px;
}

.page-box, .ads{
  margin: 10px;
}



#searchForm {
  display: flex;
  align-items: center;
}

.form-control {
  display: block;
  width: 100%;
  height: 2.5rem;
  margin: 0;
  padding: 0.375rem 0.75rem;
  font-size: .875rem;
  font-family: inherit;
  line-height: 1;
  background-clip: padding-box;
  background-color: transparent;
  border: none;
  color: #fff;
  border-radius: 0.25rem;
  -webkit-transition: border-color .15s ease-in-out,-webkit-box-shadow .15s ease-in-out;
  transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out,-webkit-box-shadow .15s ease-in-out;
  -o-transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}
.form-control::-ms-expand {
  background-color: transparent;
  border: 0
}

.form-control:focus {
  color: #495057;
  background-color: #fff;
  border-color: #753fdc;
  outline: 0;
  -webkit-box-shadow: 0 0 0 0 rgba(117,63,220,.25);
  box-shadow: 0 0 0 0 rgba(117,63,220,.25)
}

.form-control::-webkit-input-placeholder {
  color: #6c757d;
  opacity: 1
}

.form-control:-ms-input-placeholder {
  color: #6c757d;
  opacity: 1
}

.form-control::-ms-input-placeholder {
  color: #6c757d;
  opacity: 1
}

.form-control::placeholder {
  color: #6c757d;
  opacity: 1
}

.form-control:disabled,.form-control[readonly] {
  background-color: #e9ecef;
  opacity: 1
}

#searchForm .form-control {
  background-color: transparent !important;
  border: none;
  outline: none;
  color: #fff;
  padding-left: 1.75rem;
}

#searchForm .form-control:-webkit-autofill,
#searchForm .form-control:-webkit-autofill:hover,
#searchForm .form-control:-webkit-autofill:focus,
#searchForm .form-control:-webkit-autofill:active  {
  transition: all 5000s ease-in-out 0s;
}

#searchForm .form-control::-webkit-input-placeholder {
  color: #EDE9F9;
}

#searchForm .form-control::-moz-placeholder {
  color: #EDE9F9;
}

#searchForm .form-control:-ms-input-placeholder {
  color: #EDE9F9;
}

#searchForm .form-control:-moz-placeholder {
  color: #EDE9F9;
}

.carousel{
  display: flex;
  box-sizing: content-box;
  overflow-x: scroll;
  overflow-y: hidden;
  white-space: nowrap;
  -webkit-overflow-scrolling: touch;
  scroll-behavior: smooth;
  scroll-snap-type: x mandatory;
  &::-webkit-scrollbar {
    display: none;
  }
}

.carousel .swiper-slide {
  flex-shrink: 1;
  width: 100%;
  height: 100%;
  position: relative;
  transition-property: transform;
  display: block;
}

.carousel .swiper-slide:last-of-type {
  margin-right: 10px;
}

.grid-columns{
  display: grid;
  grid-template-columns: auto auto auto;
  gap: 0.5rem;
  margin-left: 0.5rem;
  margin-right: 0.5rem;
}

.grid-columns .item-card {
  grid-template-rows: 90px auto;
  grid-template-columns: 90px;
  justify-content: center;
  justify-items: center;
   margin-left: 0;
}

.detail-header{
  background-size: cover;
  background-position: center;
  height: 19rem;
}

.detail-header-bg{
  width: 100%;
  height: 20rem;
  backdrop-filter: blur(20px);
  background: rgb(30, 25, 60);
  background: linear-gradient(0deg, rgba(30, 25, 60, 1) 5%, rgba(30, 25, 60, 0.22452731092436973) 100%);
}

.detail-section {
  position: relative;
  margin-top: -15.5rem;
  margin-left: 0.625rem;
  margin-right: 0.625rem;
  margin-bottom: 1.5rem;
}

.detail-card {
  display: flex;
  justify-content: center;
}

.detail-cover {
  width: 250px;
  height: 250px;
  box-shadow: 0 1px 2rem 0 rgba(0,0,0,.3);
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 1rem;
}

.detail-img {
  border-radius: 1rem;
}

.detail-info{
  display: flex;
  flex-direction: column;
  align-items: center;
}

.detail-title{
  font-family: 'Pribambas Regular', serif;
  text-align: center;
  margin-top: 1rem;
  margin-bottom: 0.3rem;
}

.detail-subinfo{
  margin-top: 0.4rem;
 opacity: .5;
}

.detail-btn{
  margin-top: 1rem;
  margin-bottom: 1rem;
  display: grid;
  grid-template-columns: auto auto auto;
  gap: 0.5rem;
}

.detail-btn .svg-icon {
  width: 18px;
  height: 18px;
}

.detail-btn-play{
  display: flex !important;
  align-items: center;
  justify-content: center;
  flex-direction: row;
  background-color: #6647BF !important;
  width: 100%;
}
.detail-btn-other{
  padding: 0.625rem 0.3rem !important;
  background-color: #3B3363 !important;
}

.fast-songs {
  grid-area: songs;
  background-color: #332e59;
  border-radius: 0.7rem;
}
.fast-lullabies {
  grid-area: lullabies;
  background-color: #332e59;
  border-radius: 0.7rem;
}

.fast-songs img, .fast-lullabies img{
  max-width: 100%;
  border-radius: 0.7rem;
  aspect-ratio: 9 / 4;
  object-position: center;
  object-fit: cover;
}

.fast-noise {
  grid-area: noise;
  background-color: #332e59;
  border-radius: 0.7rem;
}

.fast-noise img{
  border-radius: 0.7rem;
  max-width: 100%;
  /*height: 100%;*/
  aspect-ratio: 9 / 8;
  object-position: center;
  object-fit: cover;
}

.music-fast {
  margin-left: 10px;
  margin-right: 10px;
  margin-bottom: 1rem;
  display: grid;
  gap: 8px;
  grid-template-columns: 50% auto;
  grid-template-areas:
      'noise songs'
      'noise lullabies';
}

.card-plaaylist {
  background: #332E59;
  padding: 0.3rem;
  border-radius: 1rem;
  margin-left: 10px;
  width: 300px;
}

.card-plaaylist .cover img {
  border-radius: 1rem 1rem 0 0;
  width: 250px;
}

.playlists .card-plaaylist {
  width: auto;
  margin-right: 10px;
  margin-bottom: 10px;
}

.playlists .card-plaaylist .cover img {
  width: 100% !important;
}

.card-plaaylist .plaaylist-footer {
  display: grid;
  grid-template-columns: auto 30px;
  align-items: center;
  align-content: center;
  padding: 0.5rem;
}

.card-plaaylist .plaaylist-info {
  display: grid;
  grid-row-gap: 0;
  overflow: hidden;
}

.card-plaaylist  .plaaylist-title {
  display: inline-block;
  width: 100%;
margin: 0;
font-size: 14px;
font-weight: 600;
overflow: hidden;
white-space: nowrap;
}

.card-plaaylist .plaaylist-info span{
  font-size: 14px;
  font-weight: 400;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  opacity: .6;
}

.card-plaaylist .btn-plaaylist {
  width: 30px;
  height: 30px;
  padding: 5px;
  background: #6448B1;
  border-radius: 50%;
}

.cat-desc {
  overflow: hidden;
  display: flex;
  flex-direction: row;
  align-items: center;
  margin: 0.5rem;
}

.cat-music {
  flex-direction: column;
}

.cat-music .d-flex{
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 5px;
  margin-top: 8px;
  opacity: .6;
}

.cat-desc .cat-desc-img {
  aspect-ratio: 1 / 1;
  object-position: center;
  object-fit: cover;
  width: 100px;
  height: 100px;
  margin-right: 10px;
  border-radius: 1rem;
  float: left;
}

.cat-music .cat-desc-img {
  margin-right: 0 !important;
  width: 150px !important;
  height: 150px !important;
}

.cat-desc-txt {
  margin: 8px 0 0;
  font-size: 12px;
  opacity: .7;
}

.cat-desc-toggle {
  display: none;
  text-align: center;
  margin-top: -10px;
}

.cat-count {
  color: #b19eea;
  font-size: 1.2rem;
}

.cat-btn {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  margin: 0.5rem;
}

.cat-btn > .btn {
  padding: 0.7rem 0.5rem;
  font-size: .76563rem;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: row;
  border-radius: 0.45rem;
  width: 100%;
}

.cat-btn > .btn > svg{
  margin-right: 0.3rem;
}

.btn-queue-all{
  background-color: #3B3363 !important;
  margin-right: 0.5rem;
}

.btn-play-all{
  background-color: #6647BF !important;
}

.clamp {
  display: -webkit-box;
  -webkit-line-clamp: 5;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.sub_btn {
  padding: 0.5rem;
  line-height: 2.5;
  overflow-x: scroll;
  overflow-y: hidden;
  white-space: nowrap;
  -webkit-overflow-scrolling: touch;
  &::-webkit-scrollbar {
    display: none;
  }
}

.sub_btn > .btn {
  padding: 0.325rem 1rem;
  font-size: .76563rem;
  line-height: 1.5;
  background-color: #3B3363 !important;
  border-radius: 4rem;
  margin-right: 0.5rem!important;
}

.sub_btn > .bg-brand {
  color: #fff;
  background-color: #6448B1!important;
}

 a.btn.disabled {
  pointer-events: none;
  opacity: .85;
}

.item-card{
  background-color: #332E59;
  border-radius: 1rem;
  padding: 0.5rem;
  margin-left: 10px;
  display: grid;
  grid-template-rows: 125px auto;
  grid-template-columns: 125px;
  width: 100%;
  max-width: 125px;
}

.loading-lazy, .loading-author-foto {
  background-position: center;
  background-size: cover;
  background-color: whitesmoke;
  width: 100%;
}

.loading-lazy > img {
  aspect-ratio: 1 / 1;
  object-position: center;
  object-fit: cover;
  opacity: 0;
  transition: opacity 250ms ease-in-out;

    max-width: 100%;
    background-color: whitesmoke;
    border-radius: 1rem;
}

.loading-lazy.loaded > img {
  opacity: 1;
}

.loading-lazy-cat > img {
  aspect-ratio: 2 / 3;
}

.item-cover {
  width: 200px;
  max-width: 100%;
  border-radius: calc(0.25rem - 1px);
  display: flex;
  align-items: center;
  justify-content: center;
}

.item-cover-img {
  border-radius: 1rem;
  width: 125px;
  height: 125px;
}

.item-overlay {
  position: absolute;
  opacity: 0;
  border-radius: inherit;
  z-index: 1;
}


.item-overlay .btn-playpause {
  color: #fff;
  font-size: 0;
  border-radius: 100%;
  background: transparent;
  border-width: 0;
  width: 40px;
  height: 40px;
  overflow: hidden;
  padding: 0;
  position: relative;
  vertical-align: middle;
}

.item-list-img:hover .item-overlay, .card-img:hover .item-overlay, .list__cover:hover .item-overlay {
  opacity: 1;
  display: block; 
}

.btn-playpause:hover{
  cursor: pointer;
}

.item-desc {
  padding: 0.4rem 0.2rem 0 0.2rem;
  overflow: hidden;
  display: flex;
  flex-direction: column;
}
.item-desc-title, .item-author-name{
  font-family: 'Pribambas Regular', serif;
  font-size: 16px;
  font-weight: 600;
}

.item-desc-subtitle, .item-author-subtitle {
  margin-top: 0.3rem;
  font-size: 14px;
  opacity: .5;
}

.item-desc-info, .detail-item-info {
  display: flex;
  align-items: center;
  flex-direction: row;
  margin: 0;
  padding: 0;
  list-style: none;
}

.detail-item-info {
  margin: 1rem 0 0;
}

.item-desc-info li, .detail-item-info li{
  display: flex;
  align-items: center;
  flex-direction: row;
  margin-right: 10px;
}

.item-desc-info li > svg{
  fill: var(--primary-text);
  width: 16px;
  height: 16px;
}

.detail-item-info li > svg{
  width: 20px;
  height: 20px;
  margin-right: 3px;
}

.item-desc-info li > span{
  font-size: 12px;
}

.item-cat {
  display: grid;
  grid-template-columns: 140px;
  grid-template-rows: 210px;
}

.loading-lazy-cat{
  border-radius: 1rem;
}

.item-cat-title {
  position: absolute;
  right: 0;
  left: 0;
  bottom: 14px;
  padding: 0.4rem;
  white-space: nowrap;
  overflow-wrap: break-word;
  background-color: rgb(0 0 0 / 5%);
  font-size: 0.8rem;
  font-weight: 600;
  text-align: center;
  color: #fff;
  overflow: hidden;
}

.item-author-img {
  width: 100%;
  border-radius: 50% !important;
}

.item-author-info {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 0.5rem;
}

.item-list {
  display: grid;
  grid-template-columns: 70px auto;
  margin: 0.5rem;
  padding: 0.5rem;
  background: #332E59;
  border-radius: 1rem;
}

.item-list-img{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 70px;
  height: 70px;
}

.item-list-cover, .item-list-img img{
  border-radius: 1rem;
  width: 70px;
  height: 70px;
}

.item-desc-subtitle {
  margin-bottom: 0.3rem;
}

.item-list-desc {
  padding: 0.3rem 0 0.3rem 0.5rem;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.item-desc-rating {
  display: grid;
  grid-template-columns: auto 40px;
  align-items: center;
}

.item-desc-rating .star-rating {
  display: flex;
  align-items: center;
}

.item-desc-rating .svg-icon {
  fill: #d7a851;
  width: 18px;
  height: 18px;
}

.item-desc-rating .rate-avg{
  font-size: 13px;
  font-weight: 600;
}

 
.item-list-info {
  display: grid;
  grid-template-columns: auto 20px 20px;
  grid-column-gap: 5px;
  align-items: center;
}

.item-list-info .svg-icon {
  width: 18px;
  height: 18px;
}

.item-list-info .btn-icon-only {
  width: auto;
  height: auto;
}



.list__item {
  display: grid;
  grid-template-columns: 48px auto 24px;
  gap: 10px;
  margin-bottom: 0.5rem;
  margin-right: 0.5rem;
}

.list__cover{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.list__content{
  display: flex;
  flex-direction: column;
  justify-content: center;
  overflow: hidden;
}

.list__title {
  font-size: 14px;
  font-weight: 500;
  margin-bottom: 0.3rem;
}

.list__subtitle {
  opacity: .5;
  font-size: .8125rem;
  font-weight: 400;
  margin: 0;
}

.list .list__option {
  margin: 0;
  padding: 0;
  padding-left: 1rem;
  list-style: none;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
}

.list__item .loading-lazy, .list__item .loading-lazy > img  {
  border-radius: 0.5rem;
}

/*.list .list__cover .item-overlay .btn-playpause {
  width: 30px;
  height: 30px;
}*/

.item-music{
  background: #332e59;
  margin-left: 10px;
  margin-right: 10px;
  padding: 0.5rem;
  border-radius: 0.5rem;
  grid-template-columns: 50px auto auto 24px;
  align-items: center;
}

.item-music-duration{
  display: flex;
  justify-content: flex-end;
  font-size: 13px;
}

.item-music .btn-icon-only{
  width: 24px;
  height: 24px;
}

.onFilter {
  filter: brightness(75%);
  opacity: 0;
  transition: opacity 250ms ease-in-out;
}

.inShow {
  display: block !important;
}

.inHeid {
  display: none !important;
}

.eq {
  width: 2rem;
  height: 2rem;
  margin-right: auto;
  margin-left: auto;
  position: relative;
}

.eq-bar {
  position: absolute;
  bottom: 0.25rem;
  display: block;
  width: 2px;
  height: 1.325rem;
  background-color: #fff;
  -webkit-animation-name: eq-play;
  animation-name: eq-play;
  -webkit-animation-iteration-count: infinite;
  animation-iteration-count: infinite;
  -webkit-animation-timing-function: ease;
  animation-timing-function: ease;
  -webkit-animation-fill-mode: both;
  animation-fill-mode: both;
}

.eq-bar.eq-bar--1 {
  left: .25rem;
  -webkit-animation-duration: 0.6s;
  animation-duration: 0.6s;
}

.eq-bar.eq-bar--2 {
  left: .5rem;
  -webkit-animation-duration: 0.5s;
  animation-duration: 0.5s;
}

.eq-bar.eq-bar--3 {
  left: .75rem;
  -webkit-animation-duration: 0.58s;
  animation-duration: 0.58s;
}

.eq-bar.eq-bar--4 {
  left: 1rem;
  -webkit-animation-duration: 0.52s;
  animation-duration: 0.52s;
}

.eq-bar.eq-bar--5 {
  left: 1.25rem;
  -webkit-animation-duration: 0.56s;
  animation-duration: 0.56s;
}

.eq-bar.eq-bar--6 {
  left: 1.5rem;
  -webkit-animation-duration: 0.45s;
  animation-duration: 0.45s;
}

.stars{
  display: flex;
  justify-content: center;
  flex-direction: row;
}

.stars input {
  position: absolute;
  clip: rect(0, 0, 0, 0);
}

.stars label {
  box-sizing: border-box;
  display: inline-block;
  margin-right: 6px;
  height: 40px;
  width: 40px;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E %3Cdefs%3E%3ClinearGradient id='grad3' x1='0%25' y1='0%25' x2='0%25' y2='100%25'%3E%3Cstop offset='0%25' stop-color='%23FBD46D'/%3E%3Cstop offset='100%25' stop-color='%23DD7E1F'/%3E%3C/linearGradient%3E%3C/defs%3E%3Cpath fill='url(%23grad3)' d='M23.836 8.794a3.179 3.179 0 0 0-3.067-2.226H16.4L15.073 2.432a3.227 3.227 0 0 0-6.146 0L7.6 6.568H3.231a3.227 3.227 0 0 0-1.9 5.832L4.887 15 3.535 19.187A3.178 3.178 0 0 0 4.719 22.8a3.177 3.177 0 0 0 3.8-.019L12 20.219l3.482 2.559a3.227 3.227 0 0 0 4.983-3.591L19.113 15l3.56-2.6A3.177 3.177 0 0 0 23.836 8.794Zm-2.343 1.991-4.144 3.029a1 1 0 0 0-.362 1.116L18.562 19.8a1.227 1.227 0 0 1-1.895 1.365l-4.075-3a1 1 0 0 0-1.184 0l-4.075 3a1.227 1.227 0 0 1-1.9-1.365L7.013 14.93a1 1 0 0 0-.362-1.116L2.507 10.785a1.227 1.227 0 0 1 .724-2.217h5.1a1 1 0 0 0 .952-.694l1.55-4.831a1.227 1.227 0 0 1 2.336 0l1.55 4.831a1 1 0 0 0 .952.694h5.1a1.227 1.227 0 0 1 .724 2.217Z'/%3E%3C/svg%3E");
  font-size: 0;
  cursor: pointer;
}

.stars input:nth-child(1):checked ~ label:nth-of-type(-n + 1),
.stars input:nth-child(2):checked ~ label:nth-of-type(-n + 2),
.stars input:nth-child(3):checked ~ label:nth-of-type(-n + 3),
.stars input:nth-child(4):checked ~ label:nth-of-type(-n + 4),
.stars input:nth-child(5):checked ~ label:nth-of-type(-n + 5) {
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E %3Cdefs%3E%3ClinearGradient id='grad3' x1='0%25' y1='0%25' x2='0%25' y2='100%25'%3E%3Cstop offset='0%25' stop-color='%23FBD46D'/%3E%3Cstop offset='100%25' stop-color='%23DD7E1F'/%3E%3C/linearGradient%3E%3C/defs%3E%3Cpath fill='url(%23grad3)' d='M1.327 12.4 4.887 15 3.535 19.187A3.178 3.178 0 0 0 4.719 22.8a3.177 3.177 0 0 0 3.8-.019L12 20.219l3.482 2.559a3.227 3.227 0 0 0 4.983-3.591L19.113 15l3.56-2.6a3.227 3.227 0 0 0-1.9-5.832H16.4L15.073 2.432a3.227 3.227 0 0 0-6.146 0L7.6 6.568H3.231a3.227 3.227 0 0 0-1.9 5.832Z'/%3E%3C/svg%3E");
}


.bottom-nav-wrapper {
  contain: paint;
  z-index: 9;
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  width: 100%;
}

.bottom-nav-container {
  display: flex;
  justify-content: center;
  background: #282249;
  border-top-left-radius: 1rem;
  border-top-right-radius: 1rem;
}

.bottom-nav-wrapper, .bottom-nav-container {
  height: calc(50px + env(safe-area-inset-bottom));
}

.bottom-nav-item {
  flex-grow: 1;
  text-align: center;
  font-size: 12px;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.bottom-nav-item-content, .bottom-nav-item-more {
  align-items: center;
  justify-content: center;
}
.bottom-nav-item a {
  cursor: pointer;
  display: flex;
  flex-basis: 100%;
  flex-direction: column;
  flex-grow: 1;
  flex-shrink: 1;
  max-width: 120px;
  padding-bottom: 4px;
  padding-top: 8px;
  position: relative;
  text-decoration: none;
  color: #504A7B;
}
.bottom-nav-item a .nav-item-glow {
  background-image: url(data:image/svg+xml;base64,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);
  background-position: 50% 50%;
  background-repeat: no-repeat;
  background-size: 64px 48px;
  height: 48px;
  left: 50%;
  opacity: 0; 
  position: absolute;
  top: 0;
  transform: translateX(-50%);
  width: 64px;
}

.bottom-nav-item a .svg-icon {
  transition: fill .3s linear;
  fill: #504A7B;
}

.bottom-nav-item a.active {
  color: var(--primary-text);
}

.bottom-nav-item a.active .nav-item-glow{
  opacity: 1; 
}

.bottom-nav-item a.active .svg-icon {
  fill: var(--primary-text);
}
.sidebar {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  width: 17.5rem;
  background-color: #302B4F;
  -webkit-box-shadow: 3px 0px 15px 0px rgba(0,0,0,0.7);
  -moz-box-shadow: 3px 0px 15px 0px rgba(0,0,0,0.7);
  box-shadow: 3px 0px 15px 0px rgba(0,0,0,0.7);
  -webkit-transition: all 0.2s ease;
  -o-transition: all 0.2s ease;
  transition: all 0.2s ease;
  transform: translateX(-20rem);
  z-index: 11;
}

.sidebar-header {
  display: flex;
  align-items: center;
  padding: 1rem;
  background: #1E193B;
}

.sidebar-header .logo {
  width: 6.25rem;
}

.sidebar-header .logo img {
  max-width: 100%;
}

.sidebar-header .btn {
  margin-left: auto;
  padding: 0!important;
}

.sidebar-nav{
  margin-top: 2rem;
  padding: 0 !important;
}
.sidebar-nav ul{
  padding: 0;
  margin: 0;
}
.sidebar-nav li{
  list-style: none;
}
.sidebar-nav .nav-link {
  display: table;
  width: 100%;
  padding: 0.625rem 1rem;
}
.sidebar-nav .nav-header {
  padding: 1.5rem 1rem 1rem;
  color: #8c9095;
}

.sidebar-app {
  padding-right: 1rem;
  padding-left: 1rem;
}

.mobile-app-button {
  display: flex;
  flex-wrap: wrap;
  align-content: center;
  align-items: center;
  justify-content: center;
  width: auto;
  height: auto;
  padding: 5px;
  background-color: #1e193b;
  margin-bottom: 0.5rem;
  border-radius: 0.5rem;
}

.sidebar-backdrop {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background: #1e193c71;
  backdrop-filter: blur(2px);
  opacity: 0;
  -webkit-transition: 200ms all ease-in;
  -o-transition: 200ms all ease-in;
  transition: 200ms all ease-in;
}


.swiper {
  margin-left: auto;
  margin-right: auto;
  position: relative;
  overflow: hidden;
  overflow: clip;
  list-style: none;
  padding: 0;
  /* Fix of Webkit flickering */
  z-index: 1;
  display: block;
}
.swiper-wrapper {
  position: relative;
  width: 100%;
  height: 100%;
  z-index: 1;
  display: flex;
  transition-property: transform;
  transition-timing-function: var(--swiper-wrapper-transition-timing-function, initial);
  box-sizing: content-box;
}
.swiper-android .swiper-slide,
.swiper-ios .swiper-slide,
.swiper-wrapper {
  transform: translate3d(0px, 0, 0);
}
.swiper-horizontal {
  touch-action: pan-y;
}
.swiper-slide {
  flex-shrink: 0;
  width: 100%;
  height: 100%;
  position: relative;
  transition-property: transform;
  display: block;
}
.swiper-slide-invisible-blank {
  visibility: hidden;
}
/* Auto Height */
.swiper-autoheight,
.swiper-autoheight .swiper-slide {
  height: auto;
}
.swiper-autoheight .swiper-wrapper {
  align-items: flex-start;
  transition-property: transform, height;
}
.swiper-backface-hidden .swiper-slide {
  transform: translateZ(0);
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
}

/* Navigation font end */
.swiper-pagination {
  position: absolute;
  text-align: center;
  transition: 300ms opacity;
  transform: translate3d(0, 0, 0);
  z-index: 10;
}
.swiper-pagination.swiper-pagination-hidden {
  opacity: 0;
}
.swiper-pagination-disabled > .swiper-pagination,
.swiper-pagination.swiper-pagination-disabled {
  display: none !important;
}
/* Common Styles */
.swiper-pagination-fraction,
.swiper-pagination-custom,
.swiper-horizontal > .swiper-pagination-bullets,
.swiper-pagination-bullets.swiper-pagination-horizontal {
  bottom: var(--swiper-pagination-bottom, 8px);
  top: var(--swiper-pagination-top, auto);
  left: 0;
  width: 100%;
}

.mySwiper .swiper-slide {
  width: auto 
}

@-webkit-keyframes eq-play {
  0%, 100% {
    height: .5rem;
  }
  50% {
    height: 1.325rem;
  }
}
@keyframes eq-play {
  0%, 100% {
    height: .5rem;
  }
  50% {
    height: 1.325rem;
  }
}

.main-header {
  align-items: center;
  display: flex;
  height: 4rem;
  padding: 0 var(--content-padding);
 /*background: url(/assets/images/svg/star.svg);
  /*background-size: contain;
 /* background: linear-gradient(0, rgba(173,32,212,1) 0%, rgba(132,65,164,1) 100%);*/
  contain: paint;
  position: fixed;
  width: 100%;
  top: 0;
  z-index: 3;
  /*backdrop-filter: blur(12px);
  -webkit-mask: linear-gradient(0deg, transparent, black 50%);*/
  background: linear-gradient(0deg, transparent 0px, #1E193C 40%);
}

.main-header-detail {
  background: transparent;
}


.main-header-text {
 font-weight: 600;
 z-index: 4;
}

.main-header img{ 
  width: 32px;
  height: 32px;
  margin-right: 5px;
  z-index: 4;
}

.main-content { padding-bottom: 6.5rem;}

.get-content {
  padding-top: 3.5rem;
 
}

.back-and-title {
  align-items: center;
  display: grid;
  gap: 0.3rem;
  grid-template-columns: 31px 1fr;
  color: inherit;
  text-decoration: none;
}

.back-icon {
  display: block;
  fill: #fff;
}

.main-nav {
  background: #d4bbff;
}

.main-nav ul {
  margin: 0;
  padding: 0;
}

.main-nav li {
  display: block;
}

.main-nav li a {
  display: grid;
  grid-template-columns: max-content 1fr;
  gap: 0.7rem;
  padding: 1rem;
  color: #000;
  text-decoration: none;
}

.main-nav li a::before {
  content: '➡️';
}


.bottom-sheet {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  width: 100%;
  height: 100%;
  display: flex;
  opacity: 0;
  pointer-events: none;
  align-items: center;
  flex-direction: column;
  justify-content: flex-end;
  transition: 0.1s linear;
  z-index: 10;
}
.bottom-sheet.show {
  opacity: 1;
  pointer-events: auto;
}
.bottom-sheet .sheet-overlay {
  position: fixed;
  top: 0;
  left: 0;
  z-index: -1;
  width: 100%;
  height: 100%;
  background: #1e193c71;
  backdrop-filter: blur(2px);
}
.bottom-sheet .content {
  width: 100%;
  position: relative;
  background: #302B4F;
  max-height: 100%;
  padding: 0;
  transform: translateY(100%);
  border-radius: 1.5rem 1.5rem 0 0;
  -webkit-box-shadow: 0px -3px 20px 0px rgba(0,0,0,0.7);
  -moz-box-shadow: 0px -3px 20px 0px rgba(0,0,0,0.7);
  box-shadow: 0px -3px 20px 0px rgba(0,0,0,0.7);
  transition: 0.3s ease;
}

.bottom-sheet.show .content{
  transform: translateY(0);
}
.bottom-sheet.dragging .content {
  transition: none;
}
.bottom-sheet.fullscreen .content {
  border-radius: 0;
  overflow-y: hidden;
}
.bottom-sheet .header {
  display: flex;
  justify-content: center;
  padding-top: 15px;
}
.bottom-sheet .header .drag-icon {
  cursor: grab;
  user-select: none;
  padding: 15px;
  margin-top: -15px;
}
.bottom-sheet .header .drag-icon span {
  height: 4px;
  width: 40px;
  display: block;
  background: #EDE9F9;
  border-radius: 50px;
}
.bottom-sheet .body {
  padding-bottom:  10px;
}

.dp-info-block {
  background-color: #1E193B;
  margin-right: 1rem;
  margin-left: 1rem;
  margin-bottom: 1rem;
  padding: 0.5rem;
  border-radius: 0.5rem;
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 0.5rem;
}

.dp-info-block img {
  width: 50px;
  height: 50px;
  border-radius: 0.5rem;
  background: whitesmoke;
}

.dp-info-text{
  display: flex;
  flex-direction: column;
  overflow: hidden;
}

.dp-info-text .title{
  font-size: 14px;
  font-weight: 600;
}

.dp-info-text .subtitle{
  font-size: 12px;
}

.dp-action {
  margin: 0 1.5rem;
  padding: 0;
  list-style: none;
}
.dp-action li { 
  display: flex;
  flex-direction: row;
  align-items: center;
}

.dp-action a { 
  display: block;
  padding: 0.8rem 1rem;
}

hr.sharing { 
  border: 0; 
  height: 1px; 
  background-image: -webkit-linear-gradient(left, #302b4f, #8c8b8b, #302b4f);
  background-image: -moz-linear-gradient(left, #302b4f, #8c8b8b, #302b4f);
  background-image: -ms-linear-gradient(left, #302b4f, #8c8b8b, #302b4f);
  background-image: -o-linear-gradient(left, #302b4f, #8c8b8b, #302b4f); 
}

.sharing{
  margin-top: 0.5rem;
}

.sharing-title{
  margin: 0 1.5rem;
  font-size: 18px;
  font-style: normal;
  font-weight: 700;
  line-height: 24px;
}

.sharing-subtitle{
  margin: 0 1.5rem;
  font-size: 13px;
  font-style: normal;
  font-weight: 400;
  line-height: 14px;
  opacity: .6;
}

.sharing-list {
  -ms-overflow-style: none;
  display: flex;
  gap: 1rem;
  overflow-x: auto;
  padding: 1rem 1.5rem;
  scroll-behavior: smooth;
  scroll-snap-type: x mandatory;
  scrollbar-width: none;
}

.sharing-list::-webkit-scrollbar {
  display: none;
  width: 0
}

.btn-social{
  display: inline-flex;
  flex-direction: column;
  background-color: transparent;
  border: transparent;
  height: auto;
  width: auto;
  align-items: center;
  padding: 0;
}

.social-name{
  color: #EDE9F9;
  font-size: 13px;
  font-style: normal;
  font-weight: 500;
  margin-left: 0;
  margin-top: 8px;
  overflow: hidden;
  text-align: center;
  text-overflow: ellipsis;
  white-space: nowrap;
  width: 70px;
  display: none;
}

.social-icon{
  border-radius: 24px;
  height: 45px;
  width: 45px;
  background-position: 50% 50%;
  background-repeat: no-repeat;
}

.social-link{
  background-color: #1E193B;
  background-image: url(/assets/images/svg/social_link.svg);
}

.social-whatsapp{
  background-color: #25d366;
  background-image: url(/assets/images/svg/social_whatsapp.svg);
}

.social-telegram{
  background-color: #08c;
  background-image: url(/assets/images/svg/social_telegram.svg);
}

.social-vkontakte{
  background-color: #07f;
  background-image: url(/assets/images/svg/social_vkontakte.svg);
}

.social-viber{
  background-color: #7360f2;
  background-image: url(/assets/images/svg/social_viber.svg);
}

.social-odnoklassniki{
  background-color: #ee8208;
  background-image: url(/assets/images/svg/social_odnoklassniki.svg);

}

.ps {
  position: relative;
  overflow: hidden!important;
  overflow-anchor: none;
  -ms-overflow-style: none;
  touch-action: auto;
  -ms-touch-action: auto
}

.ps__rail-x {
  display: none;
  opacity: 0;
  -o-transition: background-color .2s linear,opacity .2s linear;
  transition: background-color .2s linear,opacity .2s linear;
  -webkit-transition: background-color .2s linear,opacity .2s linear;
  height: 15px;
  bottom: 0;
  position: absolute
}

.ps__rail-y {
  display: none;
  opacity: 0;
  -o-transition: background-color .2s linear,opacity .2s linear;
  transition: background-color .2s linear,opacity .2s linear;
  -webkit-transition: background-color .2s linear,opacity .2s linear;
  width: 15px;
  right: 0;
  position: absolute
}

.ps--active-x>.ps__rail-x,.ps--active-y>.ps__rail-y {
  display: block;
  background-color: transparent
}

.ps--focus>.ps__rail-x,.ps--focus>.ps__rail-y,.ps--scrolling-x>.ps__rail-x,.ps--scrolling-y>.ps__rail-y,.ps:hover>.ps__rail-x,.ps:hover>.ps__rail-y {
  opacity: .6
}

.ps .ps__rail-x.ps--clicking,.ps .ps__rail-x:focus,.ps .ps__rail-x:hover,.ps .ps__rail-y.ps--clicking,.ps .ps__rail-y:focus,.ps .ps__rail-y:hover {
  background-color: #eee;
  opacity: .9
}

.ps__thumb-x {
  -o-transition: background-color .2s linear,height .2s ease-in-out;
  transition: background-color .2s linear,height .2s ease-in-out;
  -webkit-transition: background-color .2s linear,height .2s ease-in-out;
  height: 6px;
  bottom: 2px
}

.ps__thumb-y {
  -o-transition: background-color .2s linear,width .2s ease-in-out;
  transition: background-color .2s linear,width .2s ease-in-out;
  -webkit-transition: background-color .2s linear,width .2s ease-in-out;
  width: 6px;
  right: 2px
}

.ps__rail-x.ps--clicking .ps__thumb-x,.ps__rail-x:focus>.ps__thumb-x,.ps__rail-x:hover>.ps__thumb-x {
  background-color: #999;
  height: 11px
}

.ps__rail-y.ps--clicking .ps__thumb-y,.ps__rail-y:focus>.ps__thumb-y,.ps__rail-y:hover>.ps__thumb-y {
  background-color: #999;
  width: 11px
}


.ps {
  position: relative;
}

.ps .ps__rail-x:hover, .ps .ps__rail-x:focus, .ps .ps__rail-y:hover, .ps .ps__rail-y:focus {
  background-color: transparent;
  opacity: 1;
}

.ps .ps__rail-x.ps--clicking, .ps .ps__rail-y.ps--clicking {
  background-color: transparent;
  opacity: 1;
}

.ps__rail-y,
.ps__rail-x {
  width: .25rem;
  z-index: 1;
}

.ps__rail-y:hover > .ps__thumb-y, .ps__rail-y:focus > .ps__thumb-y,
.ps__rail-x:hover > .ps__thumb-y,
.ps__rail-x:focus > .ps__thumb-y {
  width: .25rem;
}

.ps__rail-y.ps--clicking .ps__thumb-y,
.ps__rail-x.ps--clicking .ps__thumb-y {
  width: .25rem;
}

.ps__thumb-y {
  right: 0;
  width: .25rem;
}

.ps:hover > .ps__rail-x, .ps:hover > .ps__rail-y, .ps--focus > .ps__rail-x, .ps--focus > .ps__rail-y {
  opacity: 1;
}

.ps__thumb-y {
  background-color: #753fdc;
}

.ps__rail-y:hover > .ps__thumb-y, .ps__rail-y:focus > .ps__thumb-y {
  background-color: #753fdc;
}

.ps__rail-y.ps--clicking .ps__thumb-y {
  background-color: #753fdc;
}

@supports (-ms-overflow-style: none) {
  .ps {
      overflow:auto!important
  }
}

@media screen and (-ms-high-contrast:active),(-ms-high-contrast:none) {
  .ps {
      overflow: auto!important
  }
}

dialog {
	padding: 1rem 3rem;
	background: #1E193C;
  color: #fff;
	max-width: 400px;
	padding-top: 2rem;
  margin-left: 0.5rem;
  margin-right: 0.5rem;
	border-radius: 20px;
	border: 0;
	box-shadow: 0 5px 30px 0 rgb(0 0 0 / 10%);
	animation: fadeIn 1s ease both;
	&::backdrop {
		animation: fadeIn 500ms ease both;
		background: rgb(0 0 0 / 50%);
		z-index: 2;
		backdrop-filter: blur(20px);
	}
	.x {
		border: none;
		background: none;
		position: absolute;
		top: 15px;
		right: 10px;
		cursor: pointer;
	}
  img {
    width: 250px;
  }
	svg {
		width: 24px;
    height: 24px;
    fill: #fff;
	}
	p {
		font-size: 1rem;
    font-weight: 600;
    line-height: 1.3rem;
    padding: 0.5rem 0;
    text-align: center;
	}
}

@keyframes fadeIn {
	from {
		opacity: 0;
	}
	to {
		opacity: 1;
	}
}